# i3blocks config file
#
# Please see man i3blocks for a complete reference!
# The man page is also hosted at http://vivien.github.io/i3blocks
#
# List of valid properties:
#
# align
# color
# command
# full_text
# instance
# interval
# label
# min_width
# name
# separator
# separator_block_width
# short_text
# signal
# urgent

command=$SCRIPT_DIR/$BLOCK_NAME
color=#E0E0E0

# Global properties
#
# The top properties below are applied to every block, but can be overridden.
# Each block command defaults to the script name to avoid boilerplate.
command=/usr/lib/i3blocks/$BLOCK_NAME
separator_block_width=7
markup=pango

#[mediaplayer]
#command=printf "<span font_family=\"FontAwesome\"></span> %s" "$(mpc current )"
#instance=mpd
#interval=5
#signal=10
#color=#E0E0E0
#color=#556270
#color=#FE4365

[batterybar]
command=~/.config/i3/batterybar
label=bat:
interval=5
markup=pango
min_width=bat: ■■■■■
color=#E0E0E0
# Discharging colors low to high
#C1=#FF0027
#C2=#FF3B05
#C3=#FFB923
#C4=#FFD000
#C5=#E4FF00
#C6=#ADFF00
#C7=#6DFF00
#C8=#10BA00
#CHARGING_COLOR=#00AFE3
#FULL_COLOR=#FFFFFF
#AC_COLOR=#535353

# Volume indicator
#
# The first parameter sets the step (and units to display)
# The second parameter overrides the mixer selection
# See the script for details.
[volume]
#command=printf "<span font_family=\"FontAwesome\"> </span> %s" "$(amixer get Speaker | grep -E -o '[0-9]{1,3}?%' | head -1)"
command=printf "<span font_family=\"FontAwesome\"> </span> %s" "$(pamixer --get-volume-human)"
#label=♪
# instance=Master
# instance=PCM
interval=1
color=#E0E0E0
#color=#556270
signal=10

[loading]
command=printf "<span font_family=\"FontAwesome\">  </span> %s" "$(awk {'print $1,$2,$3 '} /proc/loadavg)"
interval=2
color=#E0E0E0
#color=#556270
separator=true
# Memory usage
#
# The type defaults to "mem" if the instance is not specified.
[memory]
command=printf "<span font_family=\"FontAwesome\">  </span> %s" "$(bash ~/.config/i3/mem)"
separator=false
color=#E0E0E0
#color=#556270
interval=30
separator=true


[temperature]
command=printf "<span font_family=\"FontAwesome\">  </span> %s" "$(bash ~/.config/i3/sensors.sh)"
color=#E0E0E0
#color=#556270
interval=5

[vpn]
command=printf "<span font_family=\"FontAwesome\"> %s </span>" "$(bash ~/.config/i3/vpn.sh)"
label= VPN
color=#E0E0E0
#color=#556270
interval=5

[disk]
command=~/.config/i3/disk.sh
interval=1
label=
color=#E0E0E0

#[weather]
#command=printf "<span font_family=\"Weather Icons\"> %s </span>" "$(ruby ~/.config/i3/weather.rb)"
#interval=300
#color=#556270
#separator=true

#[memory]
#label=SWAP
#instance=swap
#separator=false
#interval=30

# Disk usage
#
# The directory defaults to $HOME if the instance is not specified.
# The script may be called with a optional argument to set the alert
# (defaults to 10 for 10%).
#[disk]
#command=printf "<span font_family=\"FontAwesome\"></span> %s" "$(/usr/bin/i3blocks/$BLOCK_NAME)"
#instance=/mnt/data
#interval=30

# Network interface monitoring
#
# If the instance is not specified, use the interface used for default route.
# The address can be forced to IPv4 or IPv6 with -4 or -6 switches.
#[wifi]
#instance=wlp3s0
#interval=10
#separator=false

# [bandwidth]
#command=printf "<span font_family=\"FontAwesome\"></span> %s" "$(/usr/lib/i3blocks/$BLOCK_NAME)"
#instance=eth0
#interval=5

# CPU usage
#
# The script may be called with -w and -c switches to specify thresholds,
# see the script for details.


# Battery indicator
#
# The battery instance defaults to 0.
#[battery]
#label=BAT
#label=⚡
#instance=1
#interval=30

# Date Time
#

# Generic media player support
#
# This displays "ARTIST - SONG" if a music is playing.
# Supported players are: spotify, vlc, audacious, xmms2, mplayer, and others.
#[mediaplayer]
#instance=spotify
#interval=5
#signal=10

# OpenVPN support
#
#Support multiple VPN, with colors.

# Temperature
#
# Support multiple chips, though lm-sensors.
# The script may be called with -w and -c switches to specify thresholds,
# see the script for details.
#[temperature]
#label=TEMP
#interval=10

# Key indicators
#
# Add the following bindings to i3 config file:
#
# bindsym --release Caps_Lock exec pkill -SIGRTMIN+11 i3blocks
# bindsym --release Num_Lock  exec pkill -SIGRTMIN+11 i3blocks
#[keyindicator]
#instance=CAPS
#interval=once
#signal=11

#[keyindicator]
#instance=NUM
#interval=once
#signal=11


#[usb]
#command=~/.config/i3/usb
#markup=pango
#signal=1
#interval=10
#IGNORE_LIST=[]
#IGNORE_LIST=["sdd1", "mapper/sda1_crypt"]
#INFO_TEXT_COLOR=white
#MOUNTED_COLOR=green
#PLUGGED_COLOR=gray
#LOCKED_COLOR=gray
#UNLOCKED_NOT_MOUNTED_COLOR=yellow
#PARTITIONLESS_COLOR=red
#PARTITIONLESS_TEXT=no partitions
#SEPARATOR=<span color='gray'> | </span>
#LOCKED_INDICATOR= 
#UNLOCKED_INDICATOR= 
#READONLY_INDICATOR=ro
#TRUNCATE_FS_LABELS=[not set by default, accepts +/- integers]

#[shutdown_menu]
#full_text=Quit
# If you are using FontAwesome, we recommend the power-off icon:
# http://fontawesome.io/icon/power-off/
#command=~/.config/i3/shutdown_menu
#FG_COLOR=#bbbbbb
#BG_COLOR=#111111
#HLFG_COLOR=#111111
#HLBG_COLOR=#bbbbbb
#BORDER_COLOR=#222222
#ROFI_TEXT=Menu:
#ROFI_OPTIONS=-width 11 -location 3 -hide-scrollbar -bw 2
#ZENITY_TITLE=Menu
#ZENITY_TEXT=Action:
#ZENITY_OPTIONS=--column= --hide-header
#ENABLE_CONFIRMATIONS=true (must be true or false)
#LAUNCHER=rofi (must be rofi or zenity)
#LOCKSCRIPT=i3lock --color=${BG_COLOR#"#"}

#[pacman-updates]
#label=
#command=~/.config/i3/arch-update
#markup=pango
#interval= 3600
#QUIET=true
#WATCH=^linux.* ^pacman.*
#BASE_COLOR=#5fff5f
#UPDATE_COLOR=#FFFF85
#AUR=true

#[arch-update]
#command=~/.config/i3/arch-update 
#label=Updates:
#interval=3600
#markup=pango

#[disk-io]
#command=~/.config/i3/disk-io
#command=$SCRIPT_DIR/disk-io -w 3 -M -P 0
#interval=persist
#markup=pango
#LABEL=
#instance=/^sda/
#DT=5
#MB_ONLY=0 #0 or 1
#KB_ONLY=0 #0 or 1
#WIDTH=4
#MB_PRECISION=1
#KB_PRECISION=0
#REGEX=/^(s|h)d[a-zA-Z]+/
#THRESHOLD=0
#WARN_COLOR="#FF0000"
#SEPARATOR=/
#PREFIX=
#SUFFIX="B/s"


#[calendar]
#command=~/.config/i3/calendar
#interval=1
#LABEL=
#DATEFMT=+%H:%M:%S
# SHORTFMT=+%H:%M:%S
#HEIGHT=180
#WIDTH=220

[time]
command=printf "<span font_family=\"FontAwesome\">  </span> %s" "$(date '+%b %a %d %Y | %H:%M:%S ')"
interval=1
color=#E0E0E0
#color=#556270
separator=true

[key_layout]
command=~/.config/i3/key_layout
label=Layout
interval=30
color=#E0E0E0

# Query my default IP address only on startup
[ip]
command=ip addr | grep 'inet' | grep -v inet6 | grep -vE '127\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}' | grep -o -E '[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}' | head -1
interval=once

#[bandwidth]
#command=~/.config/i3/bandwidth
#interval=5
#INTERFACE=enp2s0f1
#INLABEL="IN "
#OUTLABEL="OUT "
#TREAT_UNKNOWN_AS_UP=0

[monitors]
command=~/.config/i3/monitor_manager
interval=once
color=#E0E0E0
#SHOW_ON_OFF=1
#SHOW_NAMES=1
#SHOW_PRIMARY=1
#SHOW_MODE=1
#SHOW_BLANKED=1
#SHOW_DUPLICATE=1
#SHOW_ROTATION=1
#SHOW_REFLECTION=1
#SHOW_BRIGHTNESS=1
#SHOW_BRIGHTNESS_VALUE=0
#SHOW_UP_DOWN=1
#FONT_FAMILY=DejaVu Sans Mono
#FONT_SIZE=11
#CLOSE_TO_BOUNDARY_BUFFER=20
